## org.apache.sling.scripting.jst
Class JstScriptEngineFactory

    java.lang.Object
      org.apache.sling.scripting.api.AbstractScriptEngineFactory
          org.apache.sling.scripting.jst.JstScriptEngineFactory

All Implemented Interfaces:
  javax.script.ScriptEngineFactory

    public class JstScriptEngineFactory

extends org.apache.sling.scripting.api.AbstractScriptEngineFactory

Defines attributes of the JST script engine

Field Summary
`static java.lang.String` `JST_MIME_TYPE`
`static java.lang.String` `JST_SCRIPT_EXTENSION`
`static java.lang.String` `SHORT_NAME`

Constructor Summary
`JstScriptEngineFactory()`

Method Summary
`java.lang.String` `getEngineName()`
`java.lang.String` `getEngineVersion()`
`java.lang.String` `getLanguageName()`
`java.lang.String` `getLanguageVersion()`
`javax.script.ScriptEngine` `getScriptEngine()`

Methods inherited from class org.apache.sling.scripting.api.AbstractScriptEngineFactory
`getExtensions, getMethodCallSyntax, getMimeTypes, getNames, getOutputStatement, getParameter, getProgram, setEngineName, setEngineVersion, setExtensions, setMimeTypes, setNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JST_SCRIPT_EXTENSION

    public static final java.lang.String JST_SCRIPT_EXTENSION

See Also:
  Constant Field Values

### JST_MIME_TYPE

    public static final java.lang.String JST_MIME_TYPE

See Also:
  Constant Field Values

### SHORT_NAME

    public static final java.lang.String SHORT_NAME

See Also:
  Constant Field Values

Constructor Detail

### JstScriptEngineFactory

    public JstScriptEngineFactory()

Method Detail

### getScriptEngine

    public javax.script.ScriptEngine getScriptEngine()

### getEngineName

    public java.lang.String getEngineName()

  Specified by:
    `getEngineName` in interface `javax.script.ScriptEngineFactory`
  Overrides:
    `getEngineName` in class `org.apache.sling.scripting.api.AbstractScriptEngineFactory`

### getEngineVersion

    public java.lang.String getEngineVersion()

  Specified by:
    `getEngineVersion` in interface `javax.script.ScriptEngineFactory`
  Overrides:
    `getEngineVersion` in class `org.apache.sling.scripting.api.AbstractScriptEngineFactory`

### getLanguageName

    public java.lang.String getLanguageName()

### getLanguageVersion

    public java.lang.String getLanguageVersion()

Copyright © 2007-2012 The Apache Software Foundation. All Rights Reserved.